/* Jacket for <fcntl.h>. */

#ifndef VAXC
# include fcntl
#endif /* ndef VAXC */

#ifndef F_DUPFD_CLOEXEC
# define F_DUPFD_CLOEXEC 0     /* Fake descriptor flag for fcntl(). */
#endif

#ifndef O_BINARY		
# define O_BINARY 004          /* Fake creation mode for open(). */
#endif
#ifndef O_NOCTTY
# define O_NOCTTY 0            /* Dummy creation mode for open(). */
#endif
#ifndef O_DIRECTORY
# define O_DIRECTORY 0         /* Dummy creation mode for open(). */
#endif
#ifndef O_NOFOLLOW
# define O_NOFOLLOW 0          /* Dummy creation mode for open(). */
#endif
#ifndef O_NONBLOCK
# define O_NONBLOCK 0
#endif
#ifndef O_SEARCH
# define O_SEARCH 0            /* Dummy creation mode for open(). */
#endif

/* GNU lib. */

/* Work around a bug in Solaris 9 and 10: AT_FDCWD is positive.  Its
   value exceeds INT_MAX, so its use as an int doesn't conform to the
   C standard, and GCC and Sun C complain in some cases.  If the bug
   is present, undef AT_FDCWD here, so it can be redefined below.  */
#if 0 < AT_FDCWD && AT_FDCWD == 0xffd19553
# undef AT_FDCWD
#endif

/* Use the same bit pattern as Solaris 9, but with the proper
   signedness.  The bit pattern is important, in case this actually is
   Solaris with the above workaround.  */
#ifndef AT_FDCWD
# define AT_FDCWD (-3041965)
#endif

/* Use the same values as Solaris 9.  This shouldn't matter, but
   there's no real reason to differ.  */
#ifndef AT_SYMLINK_NOFOLLOW
# define AT_SYMLINK_NOFOLLOW 4096
#endif

