/* Jacket for <unistd.h>. */

#ifdef VAXC
#  include <unixio.h>
#else /* def VAXC */
#  include unistd
#  include unixio
#endif /* def VAXC [else] */

#ifndef NULL
#  define NULL (void *) 0
#endif /* ndef NULL */

#ifndef __GID_T
#  define __GID_T 1
typedef unsigned short gid_t;
#endif /* ndef __GID_T */

#ifndef __UID_T
#  define __UID_T 1
typedef unsigned int uid_t;
#endif /* ndef __UID_T */

#ifndef __MODE_T
#  define __MODE_T 1
typedef unsigned short mode_t;
#endif /* ndef __MODE_T */

#ifndef PATH_MAX
#  define PATH_MAX 256
#endif /* ndef PATH_MAX */

/* GNU lib. */

extern int fchdir (int fd);

extern int fchmodat (int fd, char const *file, mode_t mode, int flag);

extern int fchownat (int fd, char const *file, uid_t owner, gid_t group,
            int flag);

extern int fstatat (int fd, char const *file, struct stat *st, int flag);

extern int openat (int dfd, char const *filename, int flags, ...);

